Bug 79757 - Default syslog logging pollutes log file
Default syslog logging pollutes log file
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-16 12:13 EST by Andrew E. Mileski
Modified: 2015-03-04 20:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-06 09:01:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew E. Mileski 2002-12-16 12:13:26 EST
Description of problem:
The init.d script starts the daemon with option switch '-s' to enable logging
using syslog.  This results in a lot of syslog pollution, as _every_ connection
packet is logged.  This is especially noticeable when running with MRTG, which
polls several times every 5 minutes.  The messages don't provide inportant info,
so they don't belong in the main log.

Example:
Dec 15 04:05:06 martika net-snmp[948]: Connection from udp:127.0.0.1:2534 
Dec 15 04:05:06 martika net-snmp[948]: Received SNMP packet(s) from udp:127.0.0.1

Solution:
Remove the '-s' switch and configure /var/log/snmpd.log for rotation.
Comment 1 Oliver Schulze L. 2003-02-06 08:54:45 EST
the -s switch is for security reasons.
And the current ucd-snmp package does have a logrotate entry.

I think can be closed as RESOLVED.
Comment 2 Phil Knirsch 2003-02-06 09:01:40 EST
Thats correct.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.